GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes
geos::geom::util Namespace Reference

Provides classes that parse and modify Geometry objects. More...

## Classes
class | ComponentCoordinateExtracter
| Extracts a single representative Coordinate from each connected component of a Geometry. More...
class | CoordinateOperation
class | GeometryCombiner
class | GeometryEditor
class | GeometryEditorOperation
class | GeometryExtracter
class | GeometryTransformer
| A framework for processes which transform an input Geometry into an output Geometry, possibly changing its structure and type(s). More...
class | LinearComponentExtracter
class | PointExtracter
class | PolygonExtracter
class | ShortCircuitedGeometryVisitor
| A visitor to Geometry elements which can be short-circuited by a given condition. More...
class | SineStarFactory

## Detailed Description

Provides classes that parse and modify Geometry objects.